Conversations
Update Custom Attributes
Updates the custom attributes of a conversation
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
custom_attributes
Update Custom Attributes
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
},
"merge": false
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload = {
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
},
"merge": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_attributes: {order_id: '12345', previous_conversation: '67890'},
merge: false
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'custom_attributes' => [
'order_id' => '12345',
'previous_conversation' => '67890'
],
'merge' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload := strings.NewReader("{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}"
response = http.request(request)
puts response.read_body{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthagentBotBearerAuthuserApiKey
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Body
application/json
The custom attributes to be set for the conversation
Example:
{
"order_id": "12345",
"previous_conversation": "67890"
}
When true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys.
Response
Success
The custom attributes of the conversation
⌘I
Update Custom Attributes
curl --request POST \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
},
"merge": false
}
'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload = {
"custom_attributes": {
"order_id": "12345",
"previous_conversation": "67890"
},
"merge": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_attributes: {order_id: '12345', previous_conversation: '67890'},
merge: false
})
};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'custom_attributes' => [
'order_id' => '12345',
'previous_conversation' => '67890'
],
'merge' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes"
payload := strings.NewReader("{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": {\n \"order_id\": \"12345\",\n \"previous_conversation\": \"67890\"\n },\n \"merge\": false\n}"
response = http.request(request)
puts response.read_body{
"custom_attributes": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
